Subject: Future of S3C6410 platform

From: [email-masked] (Tomasz Figa)
Date: Tue, 05 Jul 2011 01:40:04 +0200

On Tuesday 05 of July 2011 00:25:15 Russell King - ARM Linux wrote:
> On Tue, Jul 05, 2011 at 01:10:11AM +0200, Tomasz Figa wrote:
> > For me (on GT-i5700) both fb and adc, after leaving the bootloader, end
> > up with unhandled interrupts and calling request_irq leads to kernel
> > crash because an interrupt fires before all driver data get
> > initialized.
> 
> We really should have a debug mode for that so developers can find
> that stuff really easily.  We already do this for IRQF_SHARED
> interrupts, but not !IRQF_SHARED.  Thomas, any opinion?

Would it be possible to simulate that in a realistic way? I mean, usually when 
an interrupt fires, the driver checks the detailed cause in hardware 
registers. If we would just simulate an interrupt, wouldn't it just end up 
with finding no interrupt cause, something which shouldn't happen normally 
with "exclusive" interrupts? This also implies that not all code paths would 
be tested with such test case.